Security update for nginx

SUSE Security Update: Security update for nginx
Announcement ID: SUSE-SU-2019:2309-1
Rating: important
References: #1115015 #1115022 #1115025 #1145579 #1145580 #1145582
Cross-References: CVE-2018-16843 CVE-2018-16844 CVE-2018-16845 CVE-2019-9511 CVE-2019-9513 CVE-2019-9516
Affected Products:
  • SUSE Linux Enterprise Module for Server Applications 15-SP1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1

An update that fixes 6 vulnerabilities is now available.

Description:

This update for nginx fixes the following issues:
Security issues fixed:

  • CVE-2019-9511: Fixed a denial of service by manipulating the window size and stream prioritization (bsc#1145579).
  • CVE-2019-9513: Fixed a denial of service caused by resource loops (bsc#1145580).
  • CVE-2019-9516: Fixed a denial of service caused by header leaks (bsc#1145582).
  • CVE-2018-16845: Fixed denial of service and memory disclosure via mp4 module (bsc#1115015).
  • CVE-2018-16843: Fixed excessive memory consumption in HTTP/2 implementation (bsc#1115022).
  • CVE-2018-16844: Fixed excessive CPU usage via flaw in HTTP/2 implementation (bsc#1115025).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Server Applications 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP1-2019-2309=1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2309=1

Package List:

  • SUSE Linux Enterprise Module for Server Applications 15-SP1 (aarch64 ppc64le s390x x86_64):
    • nginx-1.14.2-6.3.1
    • nginx-debuginfo-1.14.2-6.3.1
    • nginx-debugsource-1.14.2-6.3.1
  • SUSE Linux Enterprise Module for Server Applications 15-SP1 (noarch):
    • nginx-source-1.14.2-6.3.1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (noarch):
    • vim-plugin-nginx-1.14.2-6.3.1

References: